Page MenuHomePhabricator

Homepage: comparative review of personalized user pages and dashboards
Closed, ResolvedPublic

Description

Background

The Growth team is exploring creating a "Newcomer homepage" as the landing page for New Editors.

Goal of the comparative review

Part 1. Review relevant Wikimedia initiatives
Summarize relevant learnings and insights from projects such as:

Part 2. Review of external products
Review personal user pages and dashboards on comparable products to identify best practices in design and suitable content to incorporate in creating a “newcomer homepage”.

  • Aspects of the review:
    • Main goal(s) of the page
    • Mobile vs Desktop versions
    • Degree of customization vs personalization
    • Visual design
    • Location and navigability (to what extent is it a “central hub”)

Deck

https://docs.google.com/presentation/d/1BW9yupK_ObonOVpadn4TGN8wHYAaNGEaz_aGISWbzZk

Note that this is based on a review of predominantly English-language sites and projects.

Summary of findings

Platforms & Access points

  • Mobile versions of pages tend to have reduced content and lack of actionable ‘task’ items. Most sites have a simplified mobile version of the page with less actionable functionality. A notable exception is the Content Translation tool with its responsive design.
  • Many places have both a “Homepage” and “User profile” page. Similar to Wikipedia, the profile page tends to be where the user’s contributions and impact-type information tends to be concentrated, whereas help and introduction to perform tasks is show in the homepage. The user “neighborhood” can be found in both scenarios, usually in the form of other users activity in the homepage and as a list of users in the user profile.
  • “Homepage” and “User profile” pages are always easy to locate. In most platforms the two areas are always easily recognizable and reachable from the top navbar.
  • Call to actions to contribute generally navigate users away from the home/profile page. User would be directed to a special area of the platform (page) with tools available to complete the task.

Common features and tasks

  • Impact and contribution metrics are commonly shown with comparative data. For example, TranslateWiki shows users’ contribution as a rank in the team.
  • The user profile usually features some kind of personal data. Data is added by the user or gathered during sign-up process.
  • Help and prompts to get started with content are typically shown in side panels or as prompts on empty states of feeds/pages.
  • Help is mostly offered in terms of links to existing resources or interaction with the platform’s official support. Few platforms offer help through interaction with experienced users.
  • Task recommendations mostly come in the form of direct CTAs to contribute new content. In a few scenarios are based on previous unfinished activity.
  • An overview of user activity is usually very central in the personal area.

Visual design and layout

  • Large ‘scorecards’ and basic information at top of content.
  • Help and guide content tends to be shown on RHS panels on Desktop, and either removed or de-emphasized on Mobile.
  • Two common layout formats - modular grid or ‘central feed’ with side rails of content.
  • Personal information shown first. This pertains to the user entered profile info, content users have contributed (e.g., your reviews), or things to which the user has indicated an interest.
  • User impact is mostly shown in three different ways and areas:
    • in the user profile (personal info card), as an overall score (gamification)
    • in-context, relative to a specific piece of user-generated content
    • in a list of user (and user neighborhood) activities, usually in a notifications dropdown triggered by an icon in the top navbar (with added icon badge behavior)

Event Timeline

RHo created this task.Jan 30 2019, 2:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2019, 2:22 PM
RHo claimed this task.Jan 30 2019, 2:22 PM
RHo updated the task description. (Show Details)Jan 30 2019, 8:03 PM
MMiller_WMF renamed this task from Comparative review of personalized user pages and dashboards to Newcomer homepage: comparative review of personalized user pages and dashboards.Feb 4 2019, 10:34 PM
MMiller_WMF updated the task description. (Show Details)Feb 4 2019, 11:27 PM
MMiller_WMF renamed this task from Newcomer homepage: comparative review of personalized user pages and dashboards to Homepage: comparative review of personalized user pages and dashboards.Feb 8 2019, 10:47 PM
RHo updated the task description. (Show Details)Feb 10 2019, 7:05 PM
RHo updated the task description. (Show Details)Feb 10 2019, 7:09 PM
RHo updated the task description. (Show Details)Feb 10 2019, 9:54 PM
RHo updated the task description. (Show Details)Feb 11 2019, 1:56 PM

Apart from "recommendations work", I'm not sure which parts of SuggestBot are relevant :) Maybe that at we did attempt to simplify the process of getting suggestions for newcomers through WP:Teahouse/Suggestions. It's still complicated, though, partly because we were operating within the constraints of MediaWiki and SuggestBot's infrastructure.

Anyways, if you have questions about SuggestBot, please don't hesitate to ask me!

RHo added a comment.Feb 11 2019, 7:04 PM

Apart from "recommendations work", I'm not sure which parts of SuggestBot are relevant :) Maybe that at we did attempt to simplify the process of getting suggestions for newcomers through WP:Teahouse/Suggestions. It's still complicated, though, partly because we were operating within the constraints of MediaWiki and SuggestBot's infrastructure.
Anyways, if you have questions about SuggestBot, please don't hesitate to ask me!

Thanks @Morten - yes I realized looking through it that it maybe was less pertinent for this review, but will likely have questions for how we could leverage it in the task recommendation sub-module/section.

MMiller_WMF reassigned this task from RHo to Cntlsn.Feb 21 2019, 11:40 PM
MMiller_WMF added a subscriber: Cntlsn.
Cntlsn closed this task as Resolved.Feb 25 2019, 3:13 PM

@Cntlsn -- thank you for completing this task. Could you add the summary of findings to the description of the task?

Cntlsn updated the task description. (Show Details)Feb 26 2019, 11:29 AM

Added summary of findings